<?php
error_reporting(0);
ini_set(“display_errors”, 0);
// include "protege_professor.php";
$empreendimento_id = $_GET["empreendimento_id"];

if (isset($_GET["voz_empreendimento"])) {
	$voz_empreendimento = $_GET["voz_empreendimento"];
	$empreendimento_id = nome_empreendimento($voz_empreendimento);
}

function nome_empreendimento($voz)
{
	include 'conexao.php';
	$query_amigo = "SELECT idempreendimento_cadastro FROM empreendimento_cadastro WHERE descricao_empreendimento like '%$voz%' order by idempreendimento_cadastro desc limit 1";
	// echo $query_amigo; die();

	$executa_query = mysqli_query($db, $query_amigo) or die("Erro ao listar usuario");
	$buscar_amigo = mysqli_fetch_assoc($executa_query);

	$idempreendimento_cadastro = $buscar_amigo['idempreendimento_cadastro'];


	return $idempreendimento_cadastro;
}

if (!isset($_SESSION)) {

	session_start();

	if (empty($_SESSION)) {
		header('Location: mapa_site.php?empreendimento_id=' . $_GET["empreendimento_id"]);
		die();
	}

	$imobiliaria_idimobiliaria = $_SESSION["id_usuario"];
	$idrota                    = $_SESSION["idrota"];
	$idgrupo_acesso            = $_SESSION["idgrupo_acesso"];
	header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
} else {
	$imobiliaria_idimobiliaria = $_SESSION["id_usuario"];
	$idrota                    = $_SESSION["idrota"];
	$idgrupo_acesso            = $_SESSION["idgrupo_acesso"];
	header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
}

if (isset($_GET['crm_cli'])) {
	$crm_cli = $_GET['crm_cli'];
}

?>

<!DOCTYPE html>
<html>

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<style type="text/css">
		/* .arrow{
			display: none!important;
		} */
	</style>

	
	<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=10.0">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<script type="text/javascript">
		function envia_dados(id) {
			<?php
			if (isset($crm_cli)) {
				?>
				window.open("new_cadastro.php?idlote=" + id + "&crm_cli=<?php echo $crm_cli; ?>", '_blank');
			<?php
			} else {
				?>
				window.open(<?php $_SERVER['SERVER_NAME'] ?> "/carteira/new_cadastro.php?idlote=" + id, "_blank");
			<?php
			}

			?>
		}
	</script>

</head>

<body>
	<div style="float: left; position: fixed; padding-top: 10px; z-index: 5">
		<button onclick="zoom(0.1);">+</button>
		<button onclick="zoom(-0.1);">-</button>
	</div>

	<input type="hidden" class="form-control" id="textarea" />

	<?php if (in_array('31', $idrota)) { ?>

		<?php if (isset($_GET["edit"])) { ?>

			<center>
				<input type="submit" name="editar" value="Finalizar Edição" class="btn btn-success" onclick="location.href='lotes_mapa.php?empreendimento_id=<?php echo $empreendimento_id ?>';">
			</center>

			<br>

		<?php } else { ?>
			<center>
				<input type="submit" name="editar" value="Editar Posições" class="btn btn-warning" onclick="location.href='lotes_mapa.php?edit=1&empreendimento_id=<?php echo $empreendimento_id ?>';">
			</center>

			<br>

	<?php }
	} ?>

	<?php

	include "conexao.php";
	$query_to = "SELECT  img_mapa, idempreendimento_cadastro FROM empreendimento 
                    INNER JOIN empreendimento_cadastro ON empreendimento.empreendimento_cadastro_id = empreendimento_cadastro.idempreendimento_cadastro
                    where idempreendimento = $empreendimento_id";

	$executa_to = mysqli_query($db, $query_to);


	while ($buscar_to = mysqli_fetch_assoc($executa_to)) { //--verifica se são amigos

		$img_mapa                      = $buscar_to['img_mapa'];
		$empreendimento_cadastro_id    = $buscar_to['idempreendimento_cadastro'];
	}

	include "conexao.php";
	$query_total = "SELECT count(idlote) as total FROM produto 
                    INNER JOIN lote ON produto.idproduto = lote.produto_idproduto 
                    where empreendimento_idempreendimento = $empreendimento_id";

	$executa_total = mysqli_query($db, $query_total);


	while ($buscar_total = mysqli_fetch_assoc($executa_total)) { //--verifica se são amigos

		$total       = $buscar_total['total'];
	}

	?>

	<svg id="svg" id="myCanvas" style="transform: scale(1); transform-origin: 0 0;" width="1800" height="1350" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
		<image xlink:href="mapa/<?php echo $empreendimento_cadastro_id ?>/<?php echo $img_mapa ?>" height="100%" width="100%" />
	</svg>


	<script type="text/javascript">
		$(document).ready(function() {
			$('[data-toggle="popover"]').popover();
		});

		var svg = document.querySelector('svg');

		//data to control drag'n drop 
		var ddData = {
			element: null,
			initialX: 0,
			initialY: 0,
			originalX: 0,
			originalY: 0,
			lineEnd: null,
			lineStart: null
		};

		//number of dots on the line
		var steps = <?php echo $total ?>,
			originX = 60,
			originY = 450;

		//distance between circles
		var stepX = (450 - 60) / (steps + 1);
		var stepY = stepX;

		//create lines
		var lines = [];

		<?php include "conexao.php";

		$query_amigo = "SELECT * FROM produto 
                     INNER JOIN lote ON produto.idproduto = lote.produto_idproduto
                     where empreendimento_idempreendimento = $empreendimento_id
                     order by idproduto, idlote Asc";

		$executa_query = mysqli_query($db, $query_amigo);

		$i = 0;
		while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos

			$idlote       = $buscar_amigo['idlote'];
			$quadra       = $buscar_amigo['quadra'];
			$lote         = $buscar_amigo["lote"];
			$status       = $buscar_amigo["status"];
			$m2           = $buscar_amigo["m2"];
			$valor        = $buscar_amigo["valor"];

			$cx        = $buscar_amigo["cx"];
			$cy        = $buscar_amigo["cy"];

			$valor = 'R$ ' . number_format($valor, 2, ',', '.');

			?>

			var x = stepX * (<?php echo $i ?> + 1);
			var y = stepY * (<?php echo $i ?> + 1);

			//create circle
			var shape = document.createElementNS(
				"http://www.w3.org/2000/svg", "circle");

			<?php if ($cx != 0 and $cy != 0) { ?>

				shape.setAttributeNS(null, "cx", "<?php echo $cx ?>");
				shape.setAttributeNS(null, "cy", "<?php echo $cy ?>");

			<?php } else { ?>
				shape.setAttributeNS(null, "cx", "40");
				shape.setAttributeNS(null, "cy", "40");

			<?php } ?>

			shape.setAttributeNS(null, "id", "r<?php echo $idlote ?>");
			shape.setAttributeNS(null, "data-value", <?php echo $idlote ?>);
			shape.setAttributeNS(null, "data-toggle", "popover");
			shape.setAttributeNS(null, "data-html", "true");
			shape.setAttributeNS(null, "data-title", "Quadra: <?php echo $quadra ?>/ Lote: <?php echo $lote ?> <button id='close'>x</button>");

			if (<?php echo $status ?> == 1) {
				shape.setAttributeNS(null, "data-content", "M²: <?php echo $m2 ?> <br> Valor: <?php echo $valor ?><br><input type='submit' value='Reservar Lote' target='_blank' class='btn btn-success m-r-5 m-b-5' onclick='envia_dados(<?php echo $idlote ?>)';'>");
			}

			if (<?php echo $status ?> == 2) {
				shape.setAttributeNS(null, "data-content", "M²: <?php echo $m2 ?> <br> Valor: <?php echo $valor ?><br><input type='submit' value='Vendido' class='btn btn-danger m-r-5 m-b-5'>");
			}

			if (<?php echo $status ?> == 3) {
				shape.setAttributeNS(null, "data-content", "M²: <?php echo $m2 ?> <br> Valor: <?php echo $valor ?><br><input type='submit' value='Bloqueado' class='btn btn-inverse m-r-5 m-b-5'>");
			}

			if (<?php echo $status ?> == 0) {
				shape.setAttributeNS(null, "data-content", "M²: <?php echo $m2 ?> <br> Valor: <?php echo $valor ?><br><input type='submit' value='Reservado' class='btn btn-warning m-r-5 m-b-5'>");
			}

			shape.setAttributeNS(null, "data-container", "body");
			shape.setAttributeNS(null, "r", 5);

			if (<?php echo $status ?> == 2) {
				shape.setAttributeNS(null, "fill", "red");
			}

			if (<?php echo $status ?> == 0) {
				shape.setAttributeNS(null, "fill", "orange");
			}

			if (<?php echo $status ?> == 1) {
				shape.setAttributeNS(null, "fill", "#7fff00");
			}

			if (<?php echo $status ?> == 3) {
				shape.setAttributeNS(null, "fill", "black");
			}

			<?php if (isset($_GET["edit"])) { ?>
				shape.setAttributeNS(null, "class", "draggable");
			<?php } ?>
			shape.setAttributeNS(null, "order", <?php echo $i ?>);

			svg.appendChild(shape);

			<?php if (isset($_GET["edit"])) { ?>

				//start moving circle
				shape.onmousedown = function(evt) {
					var evt = evt || window.event;
					ddData.element = evt.target || evt.srcElement;
					ddData.initialX = evt.clientX;
					ddData.initialY = evt.clientY;
					ddData.originalX = parseFloat(
						ddData.element.getAttributeNS(null, "cx"));
					ddData.originalY = parseFloat(
						ddData.element.getAttributeNS(null, "cy"));
					var order = parseInt(
						ddData.element.getAttributeNS(null, "order"));
					ddData.lineEnd = lines[order];
					ddData.lineStart = lines[order + 1];
				};

			<?php } ?>


		<?php $i = $i + 1;
		} ?>

		//handle mouse movement to drag circles
		svg.onmousemove = function(evt) {
			var evt = evt || window.event;
			if (ddData.element) {
				var posX = ddData.originalX + evt.clientX - ddData.initialX;
				var posY = ddData.originalY + evt.clientY - ddData.initialY;
				//move object

				ddData.element.setAttributeNS(null, "cx", posX);
				ddData.element.setAttributeNS(null, "cy", posY);

				ddData.element.setAttributeNS(null, "data-cx", posX);
				ddData.element.setAttributeNS(null, "data-cy", posY);

			}
		};

		//stops drag movement
		svg.onmouseup = function(evt) {
			var evt = evt || window.event;
			ddData.element = null;
		}

		<?php if (isset($_GET["edit"])) { ?>

			$(document).ready(function() {
				/* Executa a requisição quando o campo CEP perder o foco */
				<?php include "conexao.php";

					$query_amigo = "SELECT * FROM produto 
                     INNER JOIN lote ON produto.idproduto = lote.produto_idproduto
                     where empreendimento_idempreendimento = $empreendimento_id
                     order by idproduto, idlote Asc";

					$executa_query = mysqli_query($db, $query_amigo);

					$i = 0;
					while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos

						$idlote       = $buscar_amigo['idlote'];

						?>

					$("#r<?php echo $idlote ?>").click(function() {
						console.log('123');
						//  var data = $(this).data("value");

						//  var numcx = $(this).data("cx");
						//  var numcy = $(this).data("cy");

						var element = document.querySelector('#r<?php echo $idlote ?>');

						var data = element.dataset.value;
						var numcx = element.dataset.cx;
						var numcy = element.dataset.cy;

						/* Configura a requisição AJAX */
						$.ajax({
							url: 'grava_xy.php',
							/* URL que será chamada */
							type: 'POST',
							/* Tipo da requisição */
							data: 'idlote=' + data + '&cx=' + numcx + '&cy=' + numcy,
							/* dado que será enviado via POST */
							dataType: 'json'

						});
						return false;
					})

				<?php } ?>
			});
		<?php } ?>

		$(document).on('click', 'button#close', function() {
			$('.popover').popover('hide');
		});

		$(document).on("show", ".popover", function(e) {
			var id = $(this).attr('id');
			$('.popover:not(#'+id+')').popover('hide');
		});
	
		$(document).ready(function() {

			$('circle').click(function(e) {
				var aux = document.querySelector($(this).attr('id'));
				console.log($(this).attr('id'));

				aux = e.pageX;
				aux = e.pageY;

				$('.popover').css('top', (e.pageY - ($('.popover').height() / 2))+'px');
				$('.popover').css('left', e.pageX+'px');

				$('.arrow').css('top', '50%');

				console.log(e.pageX, e.pageY);

			});

			var zoomXY = 1; // Zoom (mesmo pro x e pro y)
			var escalaXY = 1; // Escala (mesma pro x e pro y)
			var zoom_aux = 1;

			function fcanvas() {
				var scale = 1;
				var originx = 0;
				var originy = 0;
				var c = document.getElementById("svg");
				var ctx = c.getContext("2d");

				ctx.clearRect(0, 0, c.width, c.height); // Limpa o canvas antes de desenhar
				ctx.save(); // Salva as transformações
				ctx.scale(escalaXY, escalaXY); // Aplica a escala

				ctx.beginPath();
				ctx.strokeStyle = '#000000';
				ctx.lineWidth = 2;
				ctx.font = '20px Arial';
				ctx.beginPath();
				ctx.moveTo(500, 250)
				ctx.lineTo(500, 250 - (aa));
				ctx.lineTo(500 - (-bb), 250);
				ctx.lineTo(500, 250);
				ctx.font = '12px Arial';
				ctx.fillText("Tela 1000x500", 20, 20);
				ctx.stroke();

				ctx.restore(); // Reseta as transformações
			}

			function zoom(dv) {
				var elemento = document.getElementById("svg");
				zoom_aux += dv;

				elemento.style.transform = 'scale(' + zoom_aux + ')';
			}

			function escala(dv) {
				escalaXY += dv;
				fcanvas();
			}

			var aa = 100;
			var bb = 100;
			fcanvas();
		});
	</script>
</body>

</html>